/***********************************************************
 * $Id: Broadcastable.java 60 2009-04-24 22:09:39Z wglas $
 * 
 * remoting framework of the clazzes project.
 * http://www.clazzes.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Created: 12.04.2009
 * 
 ***********************************************************/

package org.clazzes.remoting;

import java.util.Map;

/**
 * An interface for contexts, which accept broadcast calls.
 * This interface is the abstraction a server sees from a single client connection.
 * 
 * @author wglas
 */
public interface Broadcastable {

    /**
     * @param subSystem The subsystem name to which a oneway invocation will be broadcasted.
     * @param arg The argument to the broadcast.
     * @param metadata Metadata to pass to the call.
     */
    public void broadcast(String subSystem, Object arg, Map<String,Object> metadata);
    
}
