/***********************************************************
 * $Id: InvocationContext.java 34 2008-10-24 12:22:08Z wglas $
 * 
 * remoting framework of the clazzes project.
 * http://www.clazzes.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Created: 15.10.2008
 * 
 ***********************************************************/

package org.clazzes.remoting;

import java.rmi.server.UID;

import org.clazzes.remoting.client.Client;

/**
 * The context under which a call is invoked. If the context implements
 * {@link CallbackInvocationContext}, the {@link InvocationHandler} may
 * issue a callback to the originating invoker.
 * 
 * @author wglas
 */
public interface InvocationContext {

    /**
     * @return The server-generated client UID, which is being assigned during the
     *         startup handshake inside {@link Client#connect()}. Multiple clients connected
     *         to the same server are guaranteed to have distinct client UIDs.
     *         Return <code>null</code>, if the client is not connected.
     */
    public UID getClientUID();

}