/**
 * 
 */
package org.clazzes.remoting;

import java.io.Serializable;

/**
 * The very bare and simple remote invocation DTO.
 * 
 * @author wglas
 */
public class RemoteInvocation implements Serializable {
	
    private static final long serialVersionUID = -7085209811883923660L;

    final String methodName;
	final Object[] arguments;
	
	/**
	 * @param methodName The name of the method being called.
	 * @param arguments The arguments.
	 */
	public RemoteInvocation(String methodName, Object[] arguments) {
		super();
		this.methodName = methodName;
		this.arguments = arguments;
	}

	public String getMethodName() {
		return this.methodName;
	}

	public Object[] getArguments() {
		return this.arguments;
	}
	
}
