/***********************************************************
 * $Id: ReturnCallbackProxyFactory.java 190 2010-09-05 18:48:31Z remoting $
 * 
 * remoting framework of the clazzes project.
 * http://www.clazzes.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Created: 29.04.2009
 * 
 ***********************************************************/

package org.clazzes.remoting.beans;

/**
 * Instances of this interface create proxies for return values of
 * server calls. 
 */
public interface ReturnCallbackProxyFactory {

	/**
	 * Create a client-side proxy for a return value of a remoting call.
	 * 
	 * @param iface The declared type of the return value of a remoting method.
	 * @param ret The serializable return value, usually a unique ID of a server-side
	 *            bean.
	 * @return A new Java Proxy, which delegates calls to the remote bean.
	 * @throws Exception Upon errors.
	 */
	public Object createProxy(Class<?> iface, Object ret) throws Exception;

}