/***********************************************************
 * $Id: DefaultMarshalerFactory.java 62 2009-04-25 20:41:38Z wglas $
 * 
 * remoting framework of the clazzes project.
 * http://www.clazzes.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Created: 15.10.2008
 * 
 ***********************************************************/

package org.clazzes.remoting.marshal;

import org.clazzes.remoting.marshal.impl.JAVAMarshaler;

/**
 * A default marshaler factory implementation.
 * 
 * @author wglas
 */
public class DefaultMarshalerFactory extends MarshalerFactorySupport {

    /**
     * Instantiate a DefaultMarshalerFactory with the input and output buffer size
     * set to <code>1460</code>, the most common MSS for TCP over ethernet.
     */
    public DefaultMarshalerFactory() {
    }
    
    /* (non-Javadoc)
     * @see org.clazzes.remoting.marshal.MarshallerFactory#newMarshaller(java.lang.String)
     */
    public Marshaler newMarshaler() {
        
        return new JAVAMarshaler(this.getOutputBufferSize(),this.getInputBufferSize());
    }    
}
