/***********************************************************
 * $Id: ServerRegistry.java 50 2009-04-13 08:01:39Z wglas $
 * 
 * remoting framework of the clazzes project.
 * http://www.clazzes.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Created: 16.10.2008
 * 
 ***********************************************************/

package org.clazzes.remoting.server;


import org.clazzes.remoting.Broadcastable;
import org.clazzes.remoting.InvocationHandler;

/**
 * This interface is implemented by the server and is used by the
 * server-side connection handler to put back a terminated connection
 * 
 * @author wglas
 */
public interface ServerRegistry extends ClientTerminationListener, Broadcastable {

    /**
     * @param subSystem The name of the subsystem to issue a query on.
     * @return The invocation handler for the given subsystem.
     */
    public InvocationHandler getInvocationHandler(String subSystem);
    
    /**
      * @return The class loader used for marshaling.
     */
    public ClassLoader getMarshalClassLoader();
}
